Subject: Re: bug#38715: Issue with guile-email: unbound variable

From: Christopher Baines <[email-masked]>
Date: Thu, 26 Dec 2019 10:41:05 +0000

Jelle Licht <[email-masked]> writes:

> Arun Isaac <[email-masked]> writes:
>
>>> My best guess is that this has something to do with a circular
>>> reference between guile modules, but I am not certain on how to easily
>>> debug (and fix) this.
>>
>> I updated the guile-email package two days ago. I hope that is not what
>> introduced this problem, and I don't see how it could have. Even `guix
>> build guile-email` on the terminal fails with a guile-email unbound
>> variable error.
>
> I do not think it was that commit, as I found the offending commit:
> c7b2b539802eaa3f969e212c98eb671a1a75e9f3
>
> This is the commit that adds mumimu to gnu/packages/mail.scm, as well as
> to the inputs of mumi. Reverting this commit (at least) solves the issue
> I had in the first mail.
>
> Could it be that the reference to guile-email in the version field of
> mumimu created this issue?
> --8<---------------cut here---------------start------------->8---
> (version (git-version (package-version guile-email) revision commit))
> --8<---------------cut here---------------end--------------->8---

I also spotted this. It looks to me sort of like a copy/paste error, I'm
not sure why this variant of mu would take the version of the
guile-email package.

Anyway, to work around this issue I've pushed [1], which just replaces
the reference with the current value.

1: https://git.savannah.gnu.org/cgit/guix.git/commit/?id=03460d2bd327815535801e3780c224f91af9b445